//
//  Bifurcation.h
//  BasicVascularModeling
//
//  Created by Artur Klepaczko on 28.05.2014.
//  Copyright (c) 2014 Artur Klepaczko. All rights reserved.
//

#ifndef __BasicVascularModeling__Bifurcation__
#define __BasicVascularModeling__Bifurcation__

#include <iostream>
#include "Vessel.h"
#include "CommonDefinitions.h"

class Bifurcation {
    Vessel* _parent;
    Vessel* _daughter;
    Vessel* _son;
    double _initVolume;
    double bifurcationVolume();
public:
    Bifurcation(Vessel* bifurcatingVessel, Point3D newTerminalPoint);
    ~Bifurcation();
    Vessel* getParent() {return _parent;};
    Vessel* getDaughter() {return _daughter;};
    Vessel* getSon() {return _son;};
    void optimize();
};
#endif /* defined(__BasicVascularModeling__Bifurcation__) */
